LambdaHack-0.11.0.1: A game engine library for tactical squad ASCII roguelike dungeon crawlers

Safe Haskell | None
Language | Haskell2010

Game.LambdaHack.Client.Request

Description

Abstract syntax of requests.

See https://github.com/LambdaHack/LambdaHack/wiki/Client-server-architecture.

Synopsis

- type RequestAI = (ReqAI, Maybe ActorId)
- data ReqAI
  - = ReqAINop
  - | ReqAITimed RequestTimed
- type RequestUI = (ReqUI, Maybe ActorId)
- data ReqUI
  - = ReqUINop
  - | ReqUITimed RequestTimed
  - | ReqUIGameRestart (GroupName ModeKind) Challenge
  - | ReqUIGameDropAndExit
  - | ReqUIGameSaveAndExit
  - | ReqUIGameSave
  - | ReqUIDoctrine Doctrine
  - | ReqUIAutomate
- data RequestTimed
  - = ReqMove Vector
  - | ReqMelee ActorId ItemId CStore
  - | ReqDisplace ActorId
  - | ReqAlter Point
  - | ReqWait
  - | ReqWait10
  - | ReqYell
  - | ReqMoveItems [(ItemId, Int, CStore, CStore)]
  - | ReqProject Point Int ItemId CStore
  - | ReqApply ItemId CStore

# Documentation

type RequestAI = (ReqAI, Maybe ActorId) Source #

Requests sent by AI clients to the server. If faction leader is to be changed, it's included as the second component.

data ReqAI Source #

Possible forms of requests sent by AI clients.

Constructors

ReqAINop |
ReqAITimed RequestTimed |

#### Instances

Instances details

Show ReqAI Source # |
Instance details Defined in Game.LambdaHack.Client.Request Methods showsPrec :: Int -> ReqAI -> ShowS Source # show :: ReqAI -> String Source # showList :: [ReqAI] -> ShowS Source #

type RequestUI = (ReqUI, Maybe ActorId) Source #

Requests sent by UI clients to the server. If faction leader is to be changed, it's included as the second component.

data ReqUI Source #

Possible forms of requests sent by UI clients.

Constructors

ReqUINop |
ReqUITimed RequestTimed |
ReqUIGameRestart (GroupName ModeKind) Challenge |
ReqUIGameDropAndExit |
ReqUIGameSaveAndExit |
ReqUIGameSave |
ReqUIDoctrine Doctrine |
ReqUIAutomate |

#### Instances

Instances details

Show ReqUI Source # |
Instance details Defined in Game.LambdaHack.Client.Request Methods showsPrec :: Int -> ReqUI -> ShowS Source # show :: ReqUI -> String Source # showList :: [ReqUI] -> ShowS Source #

data RequestTimed Source #

Requests that take game time.

Constructors

ReqMove Vector |
ReqMelee ActorId ItemId CStore |
ReqDisplace ActorId |
ReqAlter Point |
ReqWait |
ReqWait10 |
ReqYell |
ReqMoveItems [(ItemId, Int, CStore, CStore)] |
ReqProject Point Int ItemId CStore |
ReqApply ItemId CStore |

#### Instances

Instances details

Show RequestTimed Source # |
Instance details Defined in Game.LambdaHack.Client.Request Methods showsPrec :: Int -> RequestTimed -> ShowS Source # show :: RequestTimed -> String Source # showList :: [RequestTimed] -> ShowS Source #